Bug 1480330 - (CVE-2017-1000115) CVE-2017-1000115 Mercurial: pathaudit: path traversal via symlink
CVE-2017-1000115 Mercurial: pathaudit: path traversal via symlink
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170810,repo...
: Security
Depends On: 1479969 1479968 1480454
Blocks: 1480327
  Show dependency treegraph
 
Reported: 2017-08-10 13:41 EDT by Cedric Buissart
Modified: 2017-08-18 04:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: mercurial 4.3, mercurial 4.2.3
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the way Mercurial handles path auditing and caches the results. An attacker could abuse a repository with a series of commits mixing symlinks and regular files/directories to trick Mercurial into writing outside of a given repository.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-18 04:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cedric Buissart 2017-08-10 13:41:27 EDT
The symlink auditor is sometimes cached too long, and can be confused into allowing write access to outside the repo.
Comment 3 Cedric Buissart 2017-08-10 15:37:02 EDT
External References:

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_4.3_.2F_4.3.1_.282017-08-10.29
Comment 4 Cedric Buissart 2017-08-11 03:36:31 EDT
Acknowledgments:

Name: the Mercurial Security Team
Comment 5 Cedric Buissart 2017-08-11 03:37:04 EDT
Created mercurial tracking bugs for this issue:

Affects: fedora-all [bug 1480454]
Comment 7 errata-xmlrpc 2017-08-17 07:07:06 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2489 https://access.redhat.com/errata/RHSA-2017:2489

Note You need to log in before you can comment on or make changes to this bug.